@import '../variables/color.scss';
.o-drop__menu {
    margin-top: 8px;
    padding-left: 12px;
    padding-right: 12px;
    // margin-left: -12px;
    // margin-right: 12px;
    width: 248px !important;
    box-shadow: 0 2px 5px 0 rgba(28, 23, 38, 0.1);
}
.o-dpck__header {
    background-color: #f8f7fb !important;
    margin-right: -12px;
    margin-left: -12px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.o-dpck__table__head {
    background-color: #f8f7fb;
    // width: 248px !important;
    // margin-right: -12px !important;
    margin-left: -12px !important;
    margin-right: -12px !important;
    padding-left: 12px;
    padding-right: 12px;
    margin-bottom: 8px !important;
    display: block;
}

.o-dpck__table__cell {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
}
.o-sel-arrow {
    background-image: none;
}
.o-ctrl-sel {
    select {
        font-size: 16px !important;
        font-weight: 700 !important;
        padding-right: 0;
        font-size: 14px !important;
        border: none;
        text-decoration: none;
        background-color: #f8f7fb;
    }
}
button.o-dpck__header__previous {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    background-color: #f8f7fb !important;
    width: 12px !important;
    &::after {
        content: '\2039';
        font-weight: bold;
        position: absolute;
        left: 0;
    }
}
button.o-dpck__header__next {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    background-color: #f8f7fb !important;
    &::after {
        content: '\203A';
        font-weight: bold;
    }
}
// border-spacing: 10px;
.o-dpck__table__cell {
    // display: inline-flexbox !important;
    width: 32px !important;
    height: 32px !important;
    line-height: 20px !important;
    font-size: 14px;

    &--within-hovered {
        background-color: $purple100 !important;
    }

    &--selected {
        background-color: $purple600 !important;
        // margin: 12px !important;
    }
    &--within-selected,
    &--within-hovered {
        background-color: $purple100 !important;
        color: $grey900 !important;
        // margin: 12px !important;
    }

    &--first-hovered,
    &--first-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
        &::after {
            width: 16px;
            height: 32px;
            position: absolute;
            // left: 50%;
            // top: 50%;
            right: 0;
            content: '';
            // border-radius: 50%;
            z-index: -1;
            background-color: $purple100;
            // margin: -16px 0 0 -16px;
        }
    }
    &--last-hovered,
    &--last-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
        &::before {
            width: 16px;
            height: 32px;
            position: absolute;
            // left: 50%;
            // top: 50%;
            left: 0;
            content: '';
            // border-radius: 50%;
            z-index: -1;
            background-color: $purple100;
            // margin: -16px 0 0 -16px;
        }
    }
}
